/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_sqrt.c                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: antgalan <antgalan@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/11/01 21:49:37 by antgalan          #+#    #+#             */
/*   Updated: 2022/11/05 18:28:27 by antgalan         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_sqrt(int nb)
{
	int	i;

	if (0 < nb)
	{
		i = 0;
		while (i <= 46340)
		{
			if (i * i == nb)
				return (i);
			else
				i++;
		}
	}
	return (0);
}
